/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Cardiac Phase 
 */
public enum EnumCV_CardiacPhase {

	//Cardiac Phase  - CID 12233
	SYSTOLE_F_32020("F-32020"),
	DIASTOLE_F_32010("F-32010"),
	END_DIASTOLE_F_32011("F-32011"),
	END_SYSTOLE_R_FAB5B("R-FAB5B"),
	EARLY_DIASTOLE_R_40B1B("R-40B1B"),
	PEAK_SYSTOLIC_F_32021("F-32021"),
	ATRIAL_SYSTOLE_F_32030("F-32030"),
	VENTRICULAR_SYSTOLE_F_32040("F-32040"),
	VENTRICULAR_ISOVOLUMIC_CONTRACTION_R_40B12("R-40B12"),
	VENTRICULAR_EJECTION_R_40B11("R-40B11"),
	VENTRICULAR_ISOVOLUMIC_RELAXATION_R_40B10("R-40B10"),
	DIASTOLIC_RAPID_INFLOW_R_40B1C("R-40B1C"),
	DIASTASIS_R_40B21("R-40B21");

	private String value;

	EnumCV_CardiacPhase(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
